Package org.apache.felix.http.javaxwrappers

# Class HttpSessionContextWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.HttpSessionContextWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpSessionContext`

public class HttpSessionContextWrapper extends Object implements javax.servlet.http.HttpSessionContext
http session context wrapper

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionContextWrapper(@NotNull jakarta.servlet.http.HttpSessionContext c)`
Create new context

## Method Summary

Modifier and Type
Method
Description
`Enumeration<String>`
`getIds()`
`javax.servlet.http.HttpSession`
`getSession(String sessionId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpSessionContextWrapper

public HttpSessionContextWrapper(@NotNull @NotNull jakarta.servlet.http.HttpSessionContext c)
Create new context

Parameters:
  `c` - Wrapped context

## Method Details

### getSession

public javax.servlet.http.HttpSession getSession(String sessionId)

Specified by:
  `getSession` in interface `javax.servlet.http.HttpSessionContext`

### getIds

public Enumeration<String> getIds()

Specified by:
  `getIds` in interface `javax.servlet.http.HttpSessionContext`